You are missing our premiere tool bar navigation system! Register and use it for FREE!


Author: Evaders99PostPosted: Tue Nov 23, 2004 12:20 am    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

Other than creating a new bbconfirm table, I don't believe there are changes to the Nuke tables themselves. update_points() is used in phpNuke 7.x to award points to users in user groups - Just search for "update_points" and remove any line that uses it.

Author: VinDSLLocation: Arizona (USA) Site Admin: Lenon.com Admin: Disipal DesignsPostPosted: Fri Dec 03, 2004 11:43 am    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

I'm running BBtoNuke 2.0.11 on my PHP-Nuke 6.5 powered web site. Seems to work fine!

All I did was remove the 2 lines in 'functions_post.php' that contain 'update_points', plus I retained 'user_id = 1' for 'Anonymous' in the sql db instead of '-1'.

Author: WaldoPostPosted: Sun Dec 12, 2004 2:32 pm    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

NukeCops  
•  Home •  Downloads •  Gallery •  Your Account •  Forums • 

Author: Evaders99PostPosted: Mon Nov 22, 2004 3:35 pm    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

I don't believe it is. Just remember to remove the "update_points" statements as they do not work in 6.x

Author: WaldoPostPosted: Mon Nov 22, 2004 10:51 pm    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

Readme First
- Readme First! -

Read and follow the rules, otherwise your posts will be closed
Modules
· Home
· FAQ
· Buy a Theme
· Advertising
· AvantGo
· Bookmarks
· Columbia
· Community
· Donations
· Downloads
· Feedback
· Forums
· PHP-Nuke HOWTO
· Private Messages
· Search
· Statistics
· Stories Archive
· Submit News
· Surveys
· Theme Gallery
· Top
· Topics
· Your Account
Who's Online
There are currently, 177 guest(s) and 0 member(s) that are online.

You are Anonymous user. You can register for free by clicking here
Nuke Cops :: View topic - Can BBtoNuke 2.0.11 be installed in Nuke 6.5? Can BBtoNuke 2.0.11 be installed in Nuke 6.5?

Nuke Cops -> BBtoNuke Installation

Author: Waldo PostPosted: Mon Nov 22, 2004 12:42 pm    Post subject: Can BBtoNuke 2.0.11 be installed in Nuke 6.5?

So according to Chatserv's download page for BBtoNuke 2.0.11, "Nuke 7.x and BbtoNuke 2.0.10 are required"

Here's the thing. I'm running a modified (bug-fixed) 6.5 with 2.0.10. Are the changes from .10 to .11 so dramatic that I really need Nuke 7.x?

If I don't hear anything in the next few hours I'll try updating my 6.5 anyway and report back any problems.

W
Evaders99 wrote:
I don't believe it is. Just remember to remove the "update_points" statements as they do not work in 6.x



Uh yeah, wow. I hadn't seen that before. What's "update_points" do? Is it just those lines I'd have to remove or is it part of something bigger/more substantial?

I notice the DB structure is modified with this update.. I assume it's not something dependent on a >Nuke 6.5 system.

W
VinDSL wrote:
I'm running BBtoNuke 2.0.11 on my PHP-Nuke 6.5 powered web site. Seems to work fine!

All I did was remove the 2 lines in 'functions_post.php' that contain 'update_points', plus I retained 'user_id = 1' for 'Anonymous' in the sql db instead of '-1'.


Awesome..

looks like the latest version of 2.0.11 (updated dec 6), he made anonymous 1 anyway... at least, it was unchanged on my version... here are his notes

Quote:
 BBtoNuke 2.0.11  
Description: Note: 12/06/04 update: of you already upgraded undo the anonymous user user_id change, -1 should be 1, also update includes/contants.php for this. PHP-Nuke 7.x and BbtoNuke 2.0.10 are required


Looks like it's working for me w/6.5 too Smile

W

Author: VinDSLLocation: Arizona (USA) Site Admin: Lenon.com Admin: Disipal Designs PostPosted: Mon Dec 13, 2004 3:40 am    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

Waldo wrote:
...looks like the latest version of 2.0.11 (updated dec 6), he made anonymous 1 anyway... at least, it was unchanged on my version...

Cool!

Heh! That '-1' will get you every time. I've gotten into the habit of automatically looking for it, whenever I'm working with phpBB.

I don't know if they fixed it yet, but here's another bug... Wink

In '/modules/Forums/profile.php', around line 108

Replace:
Code:

redirect(append_sid("login.$phpEx?redirect=profile.$phpEx&mode=editprofile", true));



With:
Code:

$header_location = ( @preg_match("/Microsoft|WebSTAR|Xitami/", $_SERVER["SERVER_SOFTWARE"]) ) ? "Refresh: 0; URL=" : "Location: ";
header($header_location . append_sid("login.$phpEx?redirect=profile.$phpEx&mode=editprofile", true));
exit;





This prevents guests (or members that aren't logged in) from getting a '404' error when clicking the ''Profile' link in the forums. After you make this change, clicking 'Profile' will take them to the login screen, if they aren't logged in already.


Last edited by VinDSL on Mon Dec 13, 2004 5:55 pm; edited 2 times in total

Author: Waldo PostPosted: Mon Dec 13, 2004 11:20 am    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

Weird. I was just making the change when I decided to what the bug loooked like. I logged out of my nuke site, then hit "Profile" and it went straight to the account log in screen.

The code looked like this (like 108):

Code:
redirect(append_sid("login.$phpEx?redirect=profile.$phpEx&mode=editprofile", true));


looks the same. Maybe a fix was made somewhere else (?)

W


VinDSL wrote:
Waldo wrote:
...looks like the latest version of 2.0.11 (updated dec 6), he made anonymous 1 anyway... at least, it was unchanged on my version...

Cool!

Heh! That '-1' will get you every time. I've gotten into the habit of automatically looking for it, whenever I'm working with phpBB.

I don't know if they fixed it yet, but here's another bug... Wink

In '/modules/Forums/profile.php', around line 108

Replace:
Code:

redirect(append_sid("login.$phpEx?redirect=profile.$phpEx&mode=editprofile", true));



With:
Code:

$header_location = ( @preg_match("/Microsoft|WebSTAR|Xitami/", $_SERVER["SERVER_SOFTWARE"]) ) ? "Refresh: 0; URL=" : "Location: ";
header($header_location . append_sid("login.$phpEx?redirect=profile.$phpEx&mode=editprofile", true));
exit;





This prevents guests (or members that aren't logged in) from getting a '404' error when clicking the ''Profile' link in the forums. After you make this change, clicking 'Profile' will take them to the login screen, if they aren't logged in already.

Author: VinDSLLocation: Arizona (USA) Site Admin: Lenon.com Admin: Disipal Designs PostPosted: Mon Dec 13, 2004 11:38 am    Post subject: Re: can 2.0.11 be installed in Nuke 6.5?

Waldo wrote:
Weird. I was just making the change when I decided to what the bug looked like. I logged out of my nuke site, then hit "Profile" and it went straight to the account log in screen.

Hrm...

They probably fixed it then. I'll download the newest version tonight and see if it works for me too. Wink


Last edited by VinDSL on Mon Dec 13, 2004 5:56 pm; edited 1 time in total

Author: VinDSLLocation: Arizona (USA) Site Admin: Lenon.com Admin: Disipal Designs PostPosted: Mon Dec 13, 2004 11:48 am    Post subject: Re: Can BBtoNuke 2.0.11 be installed in Nuke 6.5?

Doh! I see what I did...

I typed 'Private Messages' in the post[s] above, instead of 'Profile'. You get a '404' when you click the 'Profile' link, and you're not logged in, not 'Private Messages'. 'PM' works fine - goes to the 'login' screen, like it should...

Sorry about that! I was working on 'breadcrumb' code, all yesterday, and my brain was fried... Cool

Anyway, I'll check out the new version tonight...



Nuke Cops -> BBtoNuke Installation

All times are GMT - 8 Hours

Page 1 of 1

Powered by phpBB © 2001,2002 phpBB Group
Powered by TOGETHER TEAM srl ITALY http://www.togetherteam.it - DONDELEO E-COMMERCE http://www.DonDeLeo.com - TUTTISU E-COMMERCE http://www.tuttisu.it
Web site engine's code is Copyright © 2002 by PHP-Nuke. All Rights Reserved. PHP-Nuke is Free Software released under the GNU/GPL license.
Page Generation: 0.336 Seconds - 154 pages served in past 5 minutes. Nuke Cops Founded by Paul Laudanski (Zhen-Xjell)
added by Evaders - DO NOT REMOVE
:: FI Theme :: PHP-Nuke theme by coldblooded (www.nukemods.com) ::